Skip Menu |
 

This queue is for tickets about the CHI CPAN distribution.

Report information
The Basics
Id: 64900
Status: resolved
Priority: 0/
Queue: CHI

People
Owner: Nobody in particular
Requestors: dgl [...] dgl.cx
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.37
Fixed in: (no value)

Attachments


Subject: CHI modules won't load (invalid version format)
The tests fail due to loading issues; I'm not exactly sure what's going on but it looks like non- core version on 5.10.0 (at least) doesn't like the version number? (of what exactly I can't quite tell...) dgl: ~ % cpanm --look CHI --> Working on CHI Fetching http://search.cpan.org/CPAN/authors/id/J/JS/JSWARTZ/CHI-0.36.tar.gz ... OK Entering /Users/dgl/.cpanm/work/1295385044.67101/CHI-0.36 with /bin/zsh dgl: work/1295385044.67101/CHI-0.36 % perl -Ilib -MCHI::Driver Invalid version format (dotted-decimal versions require at least three parts) at /Users/dgl/.perl5/lib/perl5/darwin-thread-multi-2level/version.pm line 184. Compilation failed in require at lib/CHI/Driver.pm line 13. BEGIN failed--compilation aborted at lib/CHI/Driver.pm line 13. Compilation failed in require. BEGIN failed--compilation aborted. This test report seems similar: http://www.cpantesters.org/cpan/report/5799c078-b841-11df-af93-f1e63f55e483 As I can't tell what version of what is doing this I've attached the versions of things that get loaded.
Subject: chi-loaded-versions.txt

Message body is not shown because it is too large.

Just released 0.38 which should fix this.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.